@echo off
set buildDate=%DATE:~4,10%

IF [%1] == [] (set dateStr=%buildDate:~8,2%%buildDate:~0,2%%buildDate:~3,2%)  ELSE (set dateStr=%1)

set cardScheme=%~n0
set cardScheme=%CardScheme:~8%
echo Running  %CardScheme% for the date %dateStr%

echo Processing..
cd /d %~dp0

start D:\ReleaseForFileLoader\CS_File_Loader\EjadaCSGenLoader.exe %CardScheme% %dateStr%

echo Process Completed !!